# Paths

- **media_path**: All your media (videos, movies, etc.) and import flags live
  here. Jellything will only require read-only access to this directory.
- **asset_path**: Static assets for the page. This includes fallback images,
  fonts and the front page. Used read-only.
  - `error.avif`: Used when images cant be displayed because of an error. This
    image is not required to be AVIF despite the name extension.
  - `fallback-<kind>.avif`: Fallback image when there is no asset available.
    AVIF also not required. `<kind>` is a _node kind_ or "Person".
  - `front.htm`: Contents of the front page. The typical jellything page
    scaffold is placed around it.
  - `logo.svg`: Logo of the platform to replace the text in the top left of
    every page.
  - `fonts/material-icons.woff2` Material Icons Font. Get this from online.
- **database_path**: The database stores all imported nodes, user accound and
  such. Write access required.
- **temp_path**: Where to place short-lived files. Write access required. Can be
  in volatile memory (e.g. /tmp).
- **cache_path**: In here jellything will place dozens of transcoded imagery,
  saved api responses and media metadata. This folder will likely be the
  biggest. Write access required.
- **secrets_path**: Path to the `secrets` YAML file. Read access required.
  Should ideally not be readable by anybody else than jellything.
