
use builtin;
use str;

set edit:completion:arg-completer[jellytool] = {|@words|
    fn spaces {|n|
        builtin:repeat $n ' ' | str:join ''
    }
    fn cand {|text desc|
        edit:complex-candidate $text &display=$text' '(spaces (- 14 (wcswidth $text)))$desc
    }
    var command = 'jellytool'
    for word $words[1..-1] {
        if (str:has-prefix $word '-') {
            break
        }
        set command = $command';'$word
    }
    var completions = [
        &'jellytool'= {
            cand -h 'Print help'
            cand --help 'Print help'
            cand -V 'Print version'
            cand --version 'Print version'
            cand add 'Interactive wizard for renaming files'
            cand migrate 'Migrate the database by export or import to JSON'
            cand reimport 'Issue a reimport via the API'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'jellytool;add'= {
            cand -h 'Print help'
            cand --help 'Print help'
        }
        &'jellytool;migrate'= {
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'jellytool;reimport'= {
            cand --hostname 'Custom hostname, the config''s is used by default'
            cand --no-tls 'Disable TLS. Dont use this'
            cand --no-incremental 'Perform full import'
            cand -h 'Print help'
            cand --help 'Print help'
        }
        &'jellytool;help'= {
            cand add 'Interactive wizard for renaming files'
            cand migrate 'Migrate the database by export or import to JSON'
            cand reimport 'Issue a reimport via the API'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'jellytool;help;add'= {
        }
        &'jellytool;help;migrate'= {
        }
        &'jellytool;help;reimport'= {
        }
        &'jellytool;help;help'= {
        }
    ]
    $completions[$command]
}
